summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_setup_pbuilder.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-12-23 02:11:02 +0100
committerHolger Levsen <holger@layer-acht.org>2016-12-23 02:11:02 +0100
commitab50e6f10b0f9b7fb36604ca6e58accfd674e570 (patch)
treee189036e72f3fdaa9ed61b723ff39fb964dc0347 /bin/reproducible_setup_pbuilder.sh
parentc998f6d5298264431f04041a868b57070c90e7c2 (diff)
downloadjenkins.debian.net-ab50e6f10b0f9b7fb36604ca6e58accfd674e570.tar.xz
reproducible Debian: better deal with non-existing stamp files
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_setup_pbuilder.sh')
-rwxr-xr-xbin/reproducible_setup_pbuilder.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/bin/reproducible_setup_pbuilder.sh b/bin/reproducible_setup_pbuilder.sh
index ec5c7836..88ac2433 100755
--- a/bin/reproducible_setup_pbuilder.sh
+++ b/bin/reproducible_setup_pbuilder.sh
@@ -134,9 +134,11 @@ setup_pbuilder() {
BASETGZ=/var/cache/pbuilder/$SUITE-reproducible-base.tgz
STAMP=/var/log/jenkins/$SUITE-reproducible-base.tgz.stamp
-if [ -f "$STAMP" -a $(stat -c %Y "$STAMP") -gt $(date +%s) ]; then
- echo "stamp file has a timestamp from the future."
- exit 1
+if [ -f "$STAMP" ] ; then
+ if [ -f "$STAMP" -a $(stat -c %Y "$STAMP") -gt $(date +%s) ]; then
+ echo "stamp file has a timestamp from the future."
+ exit 1
+ fi
fi
OLDSTAMP=$(find $STAMP -mtime +1 -exec ls -lad {} \; || echo "nostamp")